Skip to main content

Revoke a pass

POST /passes/{id}/revoke

Requires the passes:revoke permission.

Warning

Important: This action is permanent and irreversible. Voided passes cannot be reactivated using the reinstate endpoint.

Authorization​

X-API-Key required

Parameters​

NameLocationTypeRequired
idpathstringYes

Request Examples​

curl -X POST "https://api.remypass.com/api/v1/public/passes/507f1f77bcf86cd799439011/revoke" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Use Case Examples​

Revoke a pass permanently​

Sets pass status to void. Voided passes cannot be reinstated; issue a new pass if needed.

curl -X POST https://api.remypass.com/api/v1/public/passes/507f1f77bcf86cd799439013/revoke \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"

Responses​

StatusDescription
200Successful operation.
400Bad request. The top-level message explains what is invalid and, where applicable, the errors array contains structured field details.
401Missing or invalid API key.
403The caller is not allowed to access this resource.
404Resource not found.
422Pass instance is missing its organisation linkage
429Rate limit exceeded.
500Server error.

200 Response Example​

{
"success": true,
"message": "string",
"data": {}
}

Response Fields​

FieldTypeDescriptionAttributes
successboolean
messagestring
dataobject